org.apache.xml.utils

## Class XMLCharacterRecognizer

- java.lang.Object
- - org.apache.xml.utils.XMLCharacterRecognizer

    public class XMLCharacterRecognizer
    extends java.lang.Object

Class used to verify whether the specified ch conforms to the XML 1.0 definition of whitespace.

Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`XMLCharacterRecognizer()`

### Method Summary

Methods
`static boolean` `isWhiteSpace(char ch)` Returns whether the specified ch conforms to the XML 1.0 definition of whitespace.
`static boolean` `isWhiteSpace(char[] ch, int start, int length)` Tell if the string is whitespace.
`static boolean` `isWhiteSpace(java.lang.String s)` Tell if the string is whitespace.
`static boolean` `isWhiteSpace(java.lang.StringBuffer buf)` Tell if the string is whitespace.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLCharacterRecognizer

    public XMLCharacterRecognizer()

### Method Detail

#### isWhiteSpace

    public static boolean isWhiteSpace(char ch)

Returns whether the specified ch conforms to the XML 1.0 definition of whitespace. Refer to the definition of `S` for details.

Parameters:
  `ch` - Character to check as XML whitespace.
Returns:
  =true if ch is XML whitespace; otherwise =false.

#### isWhiteSpace

    public static boolean isWhiteSpace(char[] ch,
                       int start,
                       int length)

Tell if the string is whitespace.

Parameters:
  `ch` - Character array to check as XML whitespace.
  `start` - Start index of characters in the array
  `length` - Number of characters in the array
Returns:
  True if the characters in the array are XML whitespace; otherwise, false.

#### isWhiteSpace

    public static boolean isWhiteSpace(java.lang.StringBuffer buf)

Tell if the string is whitespace.

Parameters:
  `buf` - StringBuffer to check as XML whitespace.
Returns:
  True if characters in buffer are XML whitespace, false otherwise

#### isWhiteSpace

    public static boolean isWhiteSpace(java.lang.String s)

Tell if the string is whitespace.

Parameters:
  `s` - String to check as XML whitespace.
Returns:
  True if characters in buffer are XML whitespace, false otherwise